Get custom field
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/customFields/{fieldUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowedEntities": [
"PROJECT"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"description": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"lastModifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"name": "<string>",
"options": {
"remainingCount": 123,
"truncatedOptions": [
{
"deprecated": true,
"uid": "<string>",
"used": true,
"value": "<string>"
}
]
},
"required": true,
"requiredFrom": "2023-11-07T05:31:56Z",
"type": "MULTI_SELECT",
"uid": "<string>"
}Custom Fields
Get custom field
GET
/
api2
/
v1
/
customFields
/
{fieldUid}
Get custom field
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the custom field
Response
OK
Entities (project or job) the custom field can be assigned to
Available options:
PROJECT, JOB Date and time the custom field was created
Show child attributes
Show child attributes
Description of the custom field
Date and time the custom field was last modified
Show child attributes
Show child attributes
Name of the custom field
Show child attributes
Show child attributes
Whether the custom field must be filled in for its allowed entities
Date and time from which the custom field is required; null when the field is not required
Type of the custom field
Available options:
MULTI_SELECT, SINGLE_SELECT, STRING, NUMBER, URL, DATE Unique identifier of the custom field used in API paths
Was this page helpful?